# Interface methods for submodule: NaryMaximumImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: NaryMaximumImageFilter
class NaryMaximumImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

